<?php
date_default_timezone_set('UTC');
$db = new SQLite3('./database.db');

if (isset($_GET['username']) && isset($_GET['password'])) {
    // Prepared statement to prevent SQL injection
    $stmt = $db->prepare('SELECT * FROM extra_accounts WHERE username = :username');
    $stmt->bindValue(':username', $_GET['username'], SQLITE3_TEXT);
    $customer_data = $stmt->execute();

    $customer_info = null; // Initialize to null

    while ($customer_row = $customer_data->fetchArray()) {
        $customer_info = $customer_row; // Save the customer row
        // Now we check the status and expiry
        if ($customer_row['status'] == 'Active' && strtotime($customer_row['expiry']) > time()) {
            // Check if password matches
            if ($_GET['password'] == $customer_row['password']) {
                echo json_response(new UserInfoConfig($customer_row['username'], $customer_row['password'], 1, $customer_row['status']));
                exit; // Stop the script after successful login
            }
        }
    }

    if (!$customer_info) {
        // No customer info found, let's debug
        error_log("No customer info found for username: " . $_GET['username']);
    } else {
        // Customer info found but login failed, let's debug
        error_log("Login failed for username: " . $_GET['username'] . ". Status: " . $customer_info['status'] . ", Expiry: " . $customer_info['expiry']);
    }

    echo json_response(null);
} else {
    echo json_response(null);
}


function json_response($message = null) {
    header_remove();
    http_response_code(200);
    header("Cache-Control: no-transform,public,max-age=300,s-maxage=900");
    header('Status: 200');
    return json_encode(array(
        'user_info' => $message
    ));
}

class UserInfoConfig {
    public $username = '';
    public $password = '';
    public $auth = '0';
    public $status = '0';
    public $is_trial = '0';
    public $created_at = '612835200';
    public $max_connections = '0';
    public $active_conns = '0';
    function __construct($username = '', $password = '', $auth = '0', $status = '0') {
        $this->username = $username;
        $this->password = $password;
        $this->auth = $auth;
        $this->status = $status;
    }
}